org.eclipse.gef.common.beans.property

## Class ReadOnlySetMultimapProperty<K,V>

- java.lang.Object
- - org.eclipse.gef.common.beans.binding.SetMultimapExpression<K,V>
  - - org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty<K,V>

Type Parameters:
  `K` - The key type of the wrapped `ObservableSetMultimap`.
  `V` - The value type of the wrapped `ObservableSetMultimap`.

All Implemented Interfaces:
  com.google.common.collect.Multimap<K,V>, com.google.common.collect.SetMultimap<K,V>, javafx.beans.Observable, javafx.beans.property.ReadOnlyProperty<ObservableSetMultimap<K,V>>, javafx.beans.value.ObservableObjectValue<ObservableSetMultimap<K,V>>, javafx.beans.value.ObservableValue<ObservableSetMultimap<K,V>>, ObservableSetMultimapValue<K,V>, ObservableSetMultimap<K,V>

Direct Known Subclasses:
  ReadOnlySetMultimapPropertyBase, SetMultimapProperty

    public abstract class ReadOnlySetMultimapProperty<K,V>
    extends SetMultimapExpression<K,V>
    implements javafx.beans.property.ReadOnlyProperty<ObservableSetMultimap<K,V>>

Abstract base class defining contract for a read-only `Property` wrapping an `ObservableSetMultimap`.

This class provides identical functionality for `SetMultimap` as `ReadOnlyMapProperty` for `Map`, `ReadOnlySetProperty` for `Set`, or `ReadOnlyListProperty` for `List`.

### Property Summary

### Properties inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`empty, size`

### Constructor Summary

Constructors
Constructor and Description
`ReadOnlySetMultimapProperty()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `appendValueToString(java.lang.StringBuilder result)` Appends a representation of this `SetMultimapProperty`'s value to the given `StringBuilder`.
`void` `bindContent(ObservableSetMultimap<K,V> target)` Creates a unidirectional content binding between the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and the given `ObservableSetMultimap`.
`void` `bindContentBidirectional(ObservableSetMultimap<K,V> other)` Creates a bidirectional content binding of the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and the given `ObservableSetMultimap` .
`boolean` `equals(java.lang.Object other)`
`int` `hashCode()`
`java.lang.String` `toString()`
`void` `unbindContent(java.lang.Object target)` Deletes a content binding between the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and another `Object`.
`void` `unbindContentBidirectional(java.lang.Object other)` Deletes a bidirectional content binding between the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and another `Object`.

### Methods inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`asMap, asString, clear, containsEntry, containsKey, containsValue, emptyProperty, entries, get, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keys, keySet, put, putAll, putAll, remove, removeAll, replaceAll, replaceValues, setMultimapExpression, size, sizeProperty, values, valuesAt, valuesAt`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface javafx.beans.property.ReadOnlyProperty

`getBean, getName`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.beans.value.ObservableObjectValue

`get`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableSetMultimap

`addListener, removeListener`

### Methods inherited from interface com.google.common.collect.Multimap

`forEach`

### Constructor Detail

#### ReadOnlySetMultimapProperty

    public ReadOnlySetMultimapProperty()

### Method Detail

#### appendValueToString

    protected void appendValueToString(java.lang.StringBuilder result)

Appends a representation of this `SetMultimapProperty`'s value to the given `StringBuilder`. Gets called from `toString()` to allow subclasses to provide a changed value representation.

Parameters:
  `result` - A `StringBuilder` to append the value representation to.

#### bindContent

    public void bindContent(ObservableSetMultimap<K,V> target)

Creates a unidirectional content binding between the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and the given `ObservableSetMultimap`.

A content binding ensures that the content of the wrapped `ObservableSetMultimap` is the same as that of the other `ObservableSetMultimap`. If the content of the other `ObservableSetMultimap` changes, the wrapped `ObservableSetMultimap` will be updated automatically.

Parameters:
  `target` - The `ObservableSetMultimap` this property should be unidirectionally bound to.

#### bindContentBidirectional

    public void bindContentBidirectional(ObservableSetMultimap<K,V> other)

Creates a bidirectional content binding of the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and the given `ObservableSetMultimap` .

A bidirectional content binding ensures that the content of the two `ObservableSetMultimaps` are the same. If the content of one of the `ObservableSetMultimaps` changes, the other one will be updated automatically.

Parameters:
  `other` - The `ObservableSetMultimap` this property should be bidirectionally bound to.

#### equals

    public boolean equals(java.lang.Object other)

Specified by:
  `equals` in interface `com.google.common.collect.Multimap<K,V>`
Specified by:
  `equals` in interface `com.google.common.collect.SetMultimap<K,V>`
Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.common.collect.Multimap<K,V>`
Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### unbindContent

    public void unbindContent(java.lang.Object target)

Deletes a content binding between the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and another `Object`.

Parameters:
  `target` - The `Object` to which the binding should be removed.

#### unbindContentBidirectional

    public void unbindContentBidirectional(java.lang.Object other)

Deletes a bidirectional content binding between the `ObservableSetMultimap`, that is wrapped in this `ReadOnlySetMultimapProperty`, and another `Object`.

Parameters:
  `other` - The `Object` to which the bidirectional binding should be removed.